> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coverwhale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Submission Status

> Retrieve the current status and details of a submission by its display ID



## OpenAPI

````yaml get /submission/{displayId}
openapi: 3.0.0
info:
  title: Cover Whale API V1
  contact:
    name: Cover Whale API Team
  version: '1.0'
servers:
  - url: https://api.coverwhale.dev/v1
security:
  - AccessToken: []
tags:
  - name: Authentication
    description: Authenticating & Interacting with the API
paths:
  /submission/{displayId}:
    get:
      tags:
        - Submissions
      summary: Get Submission Status
      description: >-
        Retrieve the current status and details of a submission by its display
        ID
      operationId: getSubmissionStatus
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
          example: application/json
        - name: Accept
          in: header
          required: true
          schema:
            type: string
          example: application/json
        - name: AccessToken
          in: header
          required: true
          schema:
            type: string
          example: eyJraWQiOiJnRk5oTTh2RnRKWXVDVXU1S........
        - name: displayId
          in: path
          description: Submission display ID
          required: true
          schema:
            type: string
          example: '2261310'
      responses:
        '200':
          description: quote success
          content:
            application/json:
              schema:
                properties:
                  insuredInformation:
                    description: Return the insured information
                    type: array
                    items:
                      properties:
                        legal_name:
                          type: string
                          example: Alexander & Alexander, Inc.
                        mailing_address:
                          type: string
                          example: 9524 N TRASK STREET
                        mailing_city:
                          type: string
                          example: TAMPA
                        mailing_state:
                          type: string
                          example: FL
                        mailing_zip:
                          type: string
                          example: '33624'
                      type: object
                  submissionStatus:
                    description: Return the submission status
                    type: array
                    items:
                      properties:
                        submission_number:
                          type: string
                          example: '2261310'
                        status:
                          type: string
                          example: Request to Bind
                      type: object
                  coverages:
                    description: Return the coverages and the policy values and information
                    type: array
                    items:
                      properties:
                        al:
                          type: array
                          items:
                            properties:
                              limit:
                                type: number
                                example: '100000'
                              premium:
                                type: number
                                example: '0'
                              deductible:
                                type: number
                                example: '0'
                              policy_number:
                                type: string
                                example: CAY00000001-1
                              policy_effective_date:
                                type: string
                                example: '2022-12-15'
                                format: date
                              policy_expiration_date:
                                type: string
                                example: '2023-12-15'
                                format: date
                              carrier:
                                type: string
                                example: Everspan Indemnity Insurance Company
                              carrier_naic:
                                type: number
                                example: '0'
                            type: object
                        apd:
                          type: array
                          items:
                            properties:
                              limit:
                                type: number
                                example: '100000'
                              premium:
                                type: number
                                example: '0'
                              deductible:
                                type: number
                                example: '0'
                              policy_number:
                                type: string
                                example: CAY00000001-1
                              policy_effective_date:
                                type: string
                                example: '2022-12-15'
                                format: date
                              policy_expiration_date:
                                type: string
                                example: '2023-12-15'
                                format: date
                              carrier:
                                type: string
                                example: Everspan Indemnity Insurance Company
                              carrier_naic:
                                type: number
                                example: '0'
                            type: object
                        mtc:
                          type: array
                          items:
                            properties:
                              limit:
                                type: number
                                example: '100000'
                              premium:
                                type: number
                                example: '0'
                              deductible:
                                type: number
                                example: '0'
                              policy_number:
                                type: string
                                example: CAY00000001-1
                              policy_effective_date:
                                type: string
                                example: '2022-12-15'
                                format: date
                              policy_expiration_date:
                                type: string
                                example: '2023-12-15'
                                format: date
                              carrier:
                                type: string
                                example: Everspan Indemnity Insurance Company
                              carrier_naic:
                                type: number
                                example: '0'
                            type: object
                        tgl:
                          type: array
                          items:
                            properties:
                              limit:
                                type: number
                                example: '100000'
                              premium:
                                type: number
                                example: '0'
                              deductible:
                                type: number
                                example: '0'
                              policy_number:
                                type: string
                                example: CAY00000001-1
                              policy_effective_date:
                                type: string
                                example: '2022-12-15'
                                format: date
                              policy_expiration_date:
                                type: string
                                example: '2023-12-15'
                                format: date
                              carrier:
                                type: string
                                example: Everspan Indemnity Insurance Company
                              carrier_naic:
                                type: number
                                example: '0'
                            type: object
                        ntl:
                          type: array
                          items:
                            properties:
                              limit:
                                type: number
                                example: '100000'
                              premium:
                                type: number
                                example: '0'
                              deductible:
                                type: number
                                example: '0'
                              policy_number:
                                type: string
                                example: CAY00000001-1
                              policy_effective_date:
                                type: string
                                example: '2022-12-15'
                                format: date
                              policy_expiration_date:
                                type: string
                                example: '2023-12-15'
                                format: date
                              carrier:
                                type: string
                                example: Everspan Indemnity Insurance Company
                              carrier_naic:
                                type: number
                                example: '0'
                            type: object
                      type: object
                  vehicles:
                    description: Return the vehicles and trailers of the submission
                    type: array
                    items:
                      properties:
                        equipment_type:
                          type: string
                          example: Vehicle
                        vin:
                          type: string
                          example: 21S45D1S45
                        includeAPDTowing:
                          type: string
                          example: 'Y'
                        make:
                          type: string
                          example: VOLVO TRUCK
                        year:
                          type: number
                          example: '2017'
                        model:
                          type: string
                          example: VNL
                        value:
                          type: number
                          example: '50000'
                        body_type:
                          type: string
                          example: box_truck
                        deductible:
                          type: number
                          example: '1000'
                        loss_payee:
                          type: number
                          example: '0'
                      type: object
                  broker:
                    description: Return the broker information
                    type: array
                    items:
                      properties:
                        first_name:
                          type: string
                          example: firstname_1041
                        last_name:
                          type: string
                          example: lastname_1041
                        agency_name:
                          type: string
                          example: M.J. Hall and Company
                        address:
                          type: string
                          example: user_1041@example.com
                        phone:
                          type: string
                          example: '8183371513'
                      type: object
                type: object
                example:
                  insuredInformation:
                    legal_name: Alexander & Alexander, Inc.
                    mailing_address: ''
                    mailing_city: null
                    mailing_state: CA
                    mailing_zip: null
                  submissionStatus:
                    submission_number: '2261310'
                    status: Request to Bind
                  coverages:
                    al:
                      limit: 1000000
                      premium: '17300.00'
                      deductible: null
                      policy_number: null
                      policy_effective_date: '2022-12-15'
                      policy_expiration_date: '2023-12-15'
                      carrier: Everspan Indemnity Insurance Company
                      carrier_naic: 0
                    apd:
                      limit: 50000
                      premium: '2500.00'
                      deductible: 1000
                      policy_number: null
                      policy_effective_date: '2022-12-15'
                      policy_expiration_date: '2023-12-15'
                      carrier: Everspan Indemnity Insurance Company
                      carrier_naic: 0
                    mtc:
                      limit: 100000
                      premium: '5000.00'
                      deductible: 100
                      policy_number: null
                      policy_effective_date: '2022-12-15'
                      policy_expiration_date: '2023-12-15'
                      carrier: Canopius US Insurance
                      carrier_naic: 0
                  vehicles:
                    - equipment_type: Vehicle
                      vin: 21S45D1S45
                      make: VOLVO TRUCK
                      year: 2017
                      model: VNL
                      value: 50000
                      body_type: box_truck
                      deductible: 1000
                      loss_payee: null
                  broker:
                    first_name: firstname_1041
                    last_name: lastname_1041
                    agency_name: M.J. Hall and Company
                    address: user_1041@example.com
                    phone: '8183371513'
                  retailAgent: []
        '404':
          description: error
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: Submission not found.
                    type: string
                type: object
                example:
                  error: Submission not found.
components:
  securitySchemes:
    AccessToken:
      type: apiKey
      description: >-
        AWS Cognito access token obtained from the /authentication endpoint.
        Token expires after 3600 seconds.
      name: AccessToken
      in: header

````